<form [formGroup]="newsForm" (ngSubmit)="onReactiveFormSubmit()" novalidate>
    <div class="modal-header">
        <h4 class="modal-title">เพิ่มข่าวสาร/โปรโมชั่น</h4>
        <button type="button" class="close" aria-label="Close" (click)="close()">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="modal-body">
        <fieldset class="form-group mt-3" formGroupName="title">
            <label for="title">หัวข้อข่าว (th) </label>
            <input type="text" formControlName="th" name="th" class="form-control round">
            <label for="title">หัวข้อข่าว (en)</label>
            <input type="text" formControlName="en" name="en" class="form-control round">
            <!-- <small class="form-text text-muted danger"
                *ngIf="!productForm.get('p_name').valid && (productForm.get('p_name').dirty || productForm.get('p_name').touched)">กรุณากรอกผู้ใช้งานให้ถูกต้อง</small> -->
        </fieldset>
        <fieldset class="form-group" formGroupName="content">
            <label for="detail">รายละเอียด (th)</label>
            <ckeditor id="detailth" formControlName="th" [config]="editorConfig" [editor]="Editor"></ckeditor>
            <!-- <textarea class="form-control" id="detailth" name="detailth" formControlName="th" rows="5"></textarea> -->
            
            <!-- <script>
                CKEDITOR.replace('detailth');

                $(document).ready(function () {

                    $.fn.modal.Constructor.prototype.enforceFocus = function () {
                        modal_this = this
                        $(document).on('focusin.modal', function (e) {
                            if (modal_this.$element[0] !== e.target && !modal_this.$element.has(e.target).length
                                // add whatever conditions you need here:
                                &&
                                !$(e.target.parentNode).hasClass('cke_dialog_ui_input_select') && !$(e.target.parentNode).hasClass('cke_dialog_ui_input_text')) {
                                modal_this.$element.focus()
                            }
                        })
                    };

                });
            </script> -->
            <label for="detail">รายละเอียด (en)</label>
            <ckeditor id="dtailen" formControlName="en" [config]="editorConfig" [editor]="Editor"></ckeditor>
            <!-- <textarea class="form-control" id="dtailen" formControlName="en" rows="5"></textarea> -->
        </fieldset>
        <fieldset formGroupName="show">
            <div>
                <input formControlName="show" type="checkbox">
                แสดงในข่าวสาร/โปรโมชั่น
            </div>
        </fieldset>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-secondary btn-raised" (click)="close()">ปิดออก</button>
        <button type="submit" class="btn btn-success mr-2 btn-raised ">บันทึก</button>
    </div>
</form>
<!-- <script>
    $.fn.modal.Constructor.prototype.enforceFocus = function () {
        modal_this = this
        $(document).on('focusin.modal', function (e) {
            if (modal_this.$element[0] !== e.target && !modal_this.$element.has(e.target).length
                && !$(e.target.parentNode).hasClass('cke_dialog_ui_input_select')
                && !$(e.target.parentNode).hasClass('cke_dialog_ui_input_text')) {
                modal_this.$element.focus()
            }
        })
    };
</script> -->